Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.confirmation
Class AbstractConfirmationStrategy

    java.lang.Object
      net.sourceforge.pebble.confirmation.AbstractConfirmationStrategy

All Implemented Interfaces:
  CommentConfirmationStrategy, ConfirmationStrategy, TrackBackConfirmationStrategy

Direct Known Subclasses:
  DefaultConfirmationStrategy, ImageCaptchaConfirmationStrategy, NoOpConfirmationStrategy, SimpleMathsConfirmationStrategy

    public abstract class AbstractConfirmationStrategy

extends java.lang.Object
implements CommentConfirmationStrategy, TrackBackConfirmationStrategy

Starting point for ConfirmationStrategy implementations.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `REQUIRED_KEY` the name of the required override property

Constructor Summary
`AbstractConfirmationStrategy()`

Method Summary
`boolean` | `confirmationRequired(Blog blog)` Called to determine whether confirmation is required.
`boolean` | `confirmationRequired(Comment comment)` Called to determine whether confirmation is required.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pebble.api.confirmation.ConfirmationStrategy
`getUri, isConfirmed, setupConfirmation`

Methods inherited from interface net.sourceforge.pebble.api.confirmation.ConfirmationStrategy
`getUri, isConfirmed, setupConfirmation`

Field Detail

### REQUIRED_KEY

    public static final java.lang.String REQUIRED_KEY

  the name of the required override property

  See Also:
    Constant Field Values

Constructor Detail

### AbstractConfirmationStrategy

    public AbstractConfirmationStrategy()

Method Detail

### confirmationRequired

    public boolean confirmationRequired(Comment comment)

  Called to determine whether confirmation is required. This default implementation returns false if the user is authenticated. Otherwise, it runs the default set of comment listeners to determine whether the comment is spam. If so, true is returned.

  Specified by:
    `confirmationRequired` in interface `CommentConfirmationStrategy`
  Parameters:
    `comment` - the Comment being confirmed
  Returns:
    true if the comment should be confirmed, false otherwise

### confirmationRequired

    public boolean confirmationRequired(Blog blog)

  Called to determine whether confirmation is required.

  Specified by:
    `confirmationRequired` in interface `TrackBackConfirmationStrategy`
  Parameters:
    `blog` - the owning Blog
  Returns:
    true if the confirmation is required, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.